package tofly.toflylinks.mqtt_transfer;

import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.StringJoiner;
import java.util.concurrent.atomic.AtomicLong;

@Data
public class Monitor {

    private AtomicLong receive = new AtomicLong(0);
    private AtomicLong sendSuccess = new AtomicLong(0);
    private AtomicLong sendFault = new AtomicLong(0);
    private LocalDateTime lastTime;
    private String lastData;
    //private Throwable lastError;

    @Override
    public String toString() {
        return new StringJoiner(", ", "监控信息[", "]")
                .add("receive=" + receive)
                .add("sendSuccess=" + sendSuccess)
                .add("sendFault=" + sendFault)
                .add("lastTime=" + lastTime)
                .add("lastData='" + lastData + "'")
                .toString();
    }
}
