package tofly.toflylinks.mqtt_transfer;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.StringJoiner;

@Configuration
@ConfigurationProperties(prefix = "transfer")
@Data
public class TransferProperties {

    private Server fromServer;
    private Server toServer;

    @Data
    public static class Server implements Cloneable {
        private String uri = "tcp://localhost:13003";
        private String clientId = "test";
        private String username;
        private String password;
        private String topic;

        @Override
        protected Server clone() throws CloneNotSupportedException {
            return (Server) super.clone();
        }

        @Override
        public String toString() {
            return new StringJoiner(", ", Server.class.getSimpleName() + "[", "]")
                    .add("uri='" + uri + "'")
                    .add("clientId='" + clientId + "'")
                    .add("username='" + username + "'")
                    .add("password='" + password + "'")
                    .add("topic='" + topic + "'")
                    .toString();
        }
    }

}
